VGCREATE(8)

VGCREATE(8) | System Manager's Manual | VGCREATE(8)

# NAME

vgcreate - create a volume group

# SYNOPSIS

vgcreate [--addtag Tag] [--alloc AllocationPolicy] [-A|--autobackup {y|n}] [-c|--clustered {y|n}] [-d|--debug] [-h|--help] [-l|--maxlogicalvolumes MaxLogicalVolumes] [-M|--metadatatypetype] [-p|--maxphysicalvolumes MaxPhysicalVolumes] [-s|--physicalextentsize PhysicalExtentSize[kKmMgGtT]] [-t|--test] [-v|--verbose] [--version] VolumeGroupName PhysicalVolumePath [PhysicalVolumePath...]

# DESCRIPTION

vgcreate creates a new volume group called VolumeGroupName using the block special device PhysicalVolumePath previously configured for LVM with pvcreate(8).

# OPTIONS

See lvm for common options.

-c, --clustered {y|n}
  If clustered locking is enabled, this defaults to y indicating that this Volume Group is shared with other nodes in the cluster.
  If the new Volume Group contains only local disks that are not visible on the other nodes, you must specify --clustered n. If the cluster infrastructure is unavailable on a particular node at a particular time, you may still be able to use such Volume Groups.

-l, --maxlogicalvolumes MaxLogicalVolumes
  Sets the maximum number of logical volumes allowed in this volume group. The setting can be changed with vgchange. For volume groups with metadata in lvm1 format, the limit and default value is 255. If the metadata uses lvm2 format, the default value is 0 which removes this restriction: there is then no limit.

-p, --maxphysicalvolumes MaxPhysicalVolumes
  Sets the maximum number of physical volumes that can belong to this volume group. The setting can be changed with vgchange. For volume groups with metadata in lvm1 format, the limit and default value is 255. If the metadata uses lvm2 format, the default value is 0 which removes this restriction: there is then no limit. If you have a large number of physical volumes in a volume group with metadata in lvm2 format, for tool performance reasons, you should consider some use of --metadatacopies 0 as described in pvcreate(8).

-s, --physicalextentsize PhysicalExtentSize[kKmMgGtT]
  Sets the physical extent size on physical volumes of this volume group. A size suffix (k for kilobytes up to t for terabytes) is optional, megabytes is the default if no suffix is present. The default is 4 MB and it must be at least 1 KB and a power of 2.
  Once this value has been set, it is difficult to change it without recreating the volume group which would involve backing up and restoring data on any logical volumes. However, if no extents need moving for the new value to apply, it can be altered using vgchange -s.
  If the volume group metadata uses lvm1 format, extents can vary in size from 8KB to 16GB and there is a limit of 65534 extents in each logical volume. The default of 4 MB leads to a maximum logical volume size of around 256GB.
  If the volume group metadata uses lvm2 format those restrictions do not apply, but having a large number of extents will slow down the tools but have no impact on I/O performance to the logical volume. The smallest PE is 1KB.
  The 2.4 kernel has a limitation of 2TB per block device.

# EXAMPLES

To create a volume group named test_vg using physical volumes /dev/hdk1, and /dev/hdl1 with default physical extent size of 4MB:

vgcreate test_vg /dev/sdk1 /dev/sdl1

# SEE ALSO

lvm(8), pvdisplay(8), pvcreate(8), vgdisplay(8), vgextend(8), vgreduce(8), lvcreate(8), lvdisplay(8), lvextend(8), lvreduce(8)

LVM TOOLS 2.02.44-cvs (02-17-09) | Sistina Software UK